/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2014-2016 abel533@gmail.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package tk.mybatis.springboot.controller;

import tk.mybatis.springboot.model.Bmfw;
import  tk.mybatis.springboot.model.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;
import tk.mybatis.springboot.model.Szxxcs;
import tk.mybatis.springboot.service.ApiService;

import java.util.List;
import java.util.Map;

/**
 * @author liuzh
 * @since 2015-12-19 11:10
 */
@RestController
@RequestMapping("/api")
public class ApiController {

    @Autowired
    private ApiService apiService;
    @RequestMapping(value = "/interactive")
    public Page<Szxxcs> interactive(@RequestBody Map<String, String> params) {
        String userId = (String)params.get("userId");
        if(!StringUtils.isEmpty(userId)) {
            Integer pageNo = this.getValue(params, "pageNo", 1);
            Integer pageSize = this.getValue(params, "pageSize", 10);
            Page<Szxxcs> result = apiService.interactive(userId, pageNo, pageSize);
            return result;
        }else{
            return null;
        }
    }
    private Integer getValue(Map<String, String> params, String key, Integer defaultValue) {
        String val = (String)params.get(key);
        return StringUtils.isEmpty(val) ? defaultValue : Integer.parseInt(val);
    }

}
