/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2014-2016 abel533@gmail.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package tk.mybatis.springboot.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.apache.commons.collections.MapUtils;
import org.junit.platform.commons.util.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.springboot.mapper.Wcmivtable57Mapper;
import tk.mybatis.springboot.model.Country;
import tk.mybatis.springboot.model.Page;
import tk.mybatis.springboot.model.Szxxcs;
import tk.mybatis.springboot.model.Wcmivtable57;

import java.util.*;

/**
 * @author liuzh
 * @since 2015-12-19 11:09
 */
@Service
public class ApiService {

    @Autowired
    private Wcmivtable57Mapper wcmivtable57yMapper;

    public Page<Szxxcs> interactive(String UserId, Integer pageNo, Integer pageSize) {
        List<Map> countList=wcmivtable57yMapper.selectAllmax(UserId);
        Long count =null;
        for(int i=0;i<countList.size();i++){
            Map map1 = (Map)countList.get(i);
            //int s= MapUtils.getIntValue(map1,"count",0);
            int  s= MapUtils.getIntValue(map1,"COUNT",0);
            if(s>0)
                count= (long)s;
        }
        List<Wcmivtable57> wcmlist=wcmivtable57yMapper.selectAllrides(UserId,pageNo,pageSize);
        List<Szxxcs> szxxcsList=new ArrayList();
        for(Wcmivtable57 wcm57 : wcmlist){

            String title=wcm57.getBiaoti();
            String questionContent= wcm57.getNeirong();
            Date questionTime=wcm57.getCrtime();
            String replyContent=wcm57.getGroup1huifuneirong();
            Date replyTime=wcm57.getGroup1huifuriqi();
            String url=wcm57.getDocpuburl();
            Szxxcs szxxcs=new Szxxcs();
            szxxcs.setTitle(title);
            szxxcs.setQuestionContent(questionContent);
            szxxcs.setQuestionTime(questionTime);
            szxxcs.setReplyContent(replyContent);
            szxxcs.setReplyTime(replyTime);
            szxxcs.setUrl(url);
            szxxcsList.add(szxxcs);
        }
        Page<Szxxcs> result=new Page<>(szxxcsList);
        result.setCount(count);
        result.setContent(szxxcsList);
        return result;
    }




}
