/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2014-2016 abel533@gmail.com
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package tk.mybatis.springboot.service;

import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import tk.mybatis.springboot.mapper.CityMapper;
import tk.mybatis.springboot.model.Bmfw;
import tk.mybatis.springboot.model.City;
import tk.mybatis.springboot.model.Szxxcs;
import tk.mybatis.springboot.model.Wcmivtable57;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author liuzh
 * @since 2015-12-19 11:09
 */
@Service
public class CityService {

    @Autowired
    private CityMapper cityMapper;

    public List<Bmfw> interactive() {
        List<City> wcmlist=cityMapper.selectAllrides();
        List<Bmfw> bmfwList=new ArrayList();
        for(City wcm : wcmlist){

            String title=wcm.getTitle();
            String Imgurl= wcm.getImgurl();
            String Serviceurl= wcm.getServiceurl();

            Bmfw bmfw=new Bmfw();
            bmfw.setTitle(title);
            bmfw.setImgUrl(Imgurl);
            bmfw.setServiceUrl(Serviceurl);

            bmfwList.add(bmfw);
        }
        return bmfwList;
    }

}
